6.0.0-git
2019-04-23

[#7399] Adding a new addressbook to empty pref[addressbooks]
Summary Adding a new addressbook to empty pref[addressbooks]
Queue Turba
Queue Version 2.3
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester patrick.abiven (at) apitech (dot) fr
Created 2008-09-26 (3861 days ago)
Due
Updated 2008-10-07 (3850 days ago)
Assigned
Resolved 2008-10-07 (3850 days ago)
Milestone
Patch No

History
2008-10-07 12:56:22 Jan Schneider Comment #3
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
Fixed for Turba 2.3.1.
2008-10-07 12:56:18 CVS Commit Comment #2 Reply to this comment
2008-09-26 11:20:04 patrick (dot) abiven (at) apitech (dot) fr Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Adding a new addressbook to empty pref[addressbooks]
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hello

When are using prefs['addressbooks'] = '' (ie all addressbooks are 
listed), but when creating a new address book it is automatically 
added in the pref['addressbooks']. So the auto-completion on email 
recipients is broken.



In turba/lib/Turba.php, in function createShare(), line 596, a test on 
$prefs not empty would be good for not changing the 
prefs['addressbooks'] if it is empty.



Regards

Patrick

Saved Queries